Bug 56599 - qt3-designer BuildRequires Mesa-devel
qt3-designer BuildRequires Mesa-devel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 12:36 EST by Michael Schwendt
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 17:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (287 bytes, patch)
2001-11-21 12:37 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2001-11-21 12:36:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The qt3 source rpm needs "Mesa-devel" for the qt3-designer subpackage.
Therefore an appropriate BuildRequires line should be added to the qt3 spec
file.


Version-Release number of selected component (if applicable):
3.0.0-1


How reproducible:
Always

Steps to Reproduce:
1. rpm -e Mesa-devel
2. rpm --recompile qt3-3.0.0-1.src.rpm
3. A long time later:

+ cd ../qglwidget
+ make
g++ -c -pipe -fno-exceptions -Wall -W -I/usr/include/freetype2 -O2
-march=i386 - mcpu=i686 -fno-exceptions -fPIC -DQT_NO_DEBUG -DQT_PLUGIN
-I/usr/include/freetyp e2 -I../../interfaces
-I/home/ms/files/rpm/BUILD/qt-x11-free-3.0.0/include -I.mo c/release/
-I/home/ms/files/rpm/BUILD/qt-x11-free-3.0.0/mkspecs/linux-g++ -o .ob
j/release/main.o main.cpp
In file included from glwidget.h:4,
                 from main.cpp:5:
/home/ms/files/rpm/BUILD/qt-x11-free-3.0.0/include/qgl.h:72:20: GL/gl.h: No
such  file or directory
/home/ms/files/rpm/BUILD/qt-x11-free-3.0.0/include/qgl.h:73:21: GL/glu.h:
No suc h file or directory
In file included from main.cpp:5:
glwidget.h:17: ISO C++ forbids declaration of `GLuint' with no type
glwidget.h:17: `GLuint' declared as a `virtual' field
glwidget.h:17: parse error before `('
glwidget.h:20: syntax error before `;'
glwidget.h:21: syntax error before `,'
main.cpp:27: warning: `class OpenGLWidgetInterface' has virtual 
functions but non-virtual destructor
make: *** [.obj/release/main.o] Error 1
error: Bad exit status from /home/ms/files/rpm/tmp/rpm-tmp.62414 (%build)
Comment 1 Michael Schwendt 2001-11-21 12:37:47 EST
Created attachment 38283 [details]
spec file patch
Comment 2 Bernhard Rosenkraenzer 2001-11-22 07:12:20 EST
The qt3 package doesn't exist anymore, changing component

Note You need to log in before you can comment on or make changes to this bug.